commit: 048535d07aa6da675ad83490fe9a927bb95584d0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 8 10:44:46 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 8 11:09:51 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=048535d0
dev-python/pytest-toolbox: Switch to PEP517 build
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../pytest-toolbox/pytest-toolbox-0.4-r1.ebuild | 33 ++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
new file mode 100644
index 000000000000..6a9dd618bd61
--- /dev/null
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Numerous useful plugins for pytest"
+HOMEPAGE="https://pypi.org/project/pytest-toolbox/
https://github.com/samuelcolvin/pytest-toolbox/"
+SRC_URI="
+ https://github.com/samuelcolvin/pytest-toolbox/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i setup.cfg || die
+ distutils-r1_src_prepare
+}